import bemMixin from '../_mixins/bem';
import { isSSR } from './constant';
export const prefix = 'gd';
export function createComponentName(name) {
  return `${prefix}-${name}`;
}
export const componentMixin = {
  mixins: [bemMixin],
  version: "1.14.6",
  methods: {
    $hasProp(key) {
      return key in this.$options.propsData && this.$options.propsData[key] !== undefined;
    },

    isSSR() {
      return isSSR();
    }

  }
};